Page MenuHomePhabricator

PHP Fatal Error: Call to undefined method ZeroBanner\\ZeroConfig::getLicenseObject()
Closed, ResolvedPublic

Description

A 500 is returned from zero.wikimedia.org for any request for a page in the Zero namespace.


PHP Fatal Error from line 734 of /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCSingleton.php: Call to undefined method ZeroBanner\ZeroConfig::getLicenseObject()

{
 "fatal_exception":
  { 
    "class":"ErrorException",
    "message":"PHP Fatal Error: Call to undefined method ZeroBanner\\ZeroConfig::getLicenseObject()",
    "code":16777217,
    "file":"/srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCSingleton.php",
    "line":734,
    "trace":"#0 /srv/mediawiki/php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCSingleton.php(734): NO_FUNCTION_GIVEN()
  }
}
[721897cd88e5c4299cfcf548] /wiki/Zero:Foo Error from line 734 of /vagrant/mediawiki/extensions/JsonConfig/includes/JCSingleton.php: Call to undefined method ZeroBanner\ZeroConfig::getLicenseObject()

Backtrace:

#0 /vagrant/mediawiki/extensions/JsonConfig/includes/JCSingleton.php(824): JsonConfig\JCSingleton::getTitleLicenseCode(JsonConfig\JCTitle)
#1 /vagrant/mediawiki/includes/Hooks.php(174): JsonConfig\JCSingleton::onSkinCopyrightFooter(Title, string, string, string, boolean)
#2 /vagrant/mediawiki/includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#3 /vagrant/mediawiki/includes/skins/Skin.php(855): Hooks::run(string, array)
#4 /vagrant/mediawiki/includes/skins/SkinTemplate.php(397): Skin->getCopyright()
#5 /vagrant/mediawiki/includes/skins/SkinTemplate.php(225): SkinTemplate->prepareQuickTemplate()
#6 /vagrant/mediawiki/includes/OutputPage.php(2406): SkinTemplate->outputPage()
#7 /vagrant/mediawiki/includes/MediaWiki.php(875): OutputPage->output(boolean)
#8 /vagrant/mediawiki/includes/MediaWiki.php(887): MediaWiki->{closure}()
#9 /vagrant/mediawiki/includes/MediaWiki.php(525): MediaWiki->main()
#10 /vagrant/mediawiki/index.php(42): MediaWiki->run()
#11 /var/www/w/index.php(5): require(string)
#12 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2018, 4:28 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Aug 28 2018, 4:33 PM
Mholloway updated the task description. (Show Details)Aug 28 2018, 4:43 PM

Change 455868 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/JsonConfig@master] Check if getLicenseObject method exists before calling

https://gerrit.wikimedia.org/r/455868

Change 455868 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@master] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/455868

Looks like the branch cut was earlyish today and this didn't make it. I think I'll have it swatted.

Change 455893 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.19] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/455893

Change 456033 had a related patch set uploaded (by Jforrester; owner: Mholloway):
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.18] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/456033

Change 455893 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.19] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/455893

Change 456033 merged by jenkins-bot:
[mediawiki/extensions/JsonConfig@wmf/1.32.0-wmf.18] Check if content instanceof JCDataContent before calling getLicenseObject

https://gerrit.wikimedia.org/r/456033

Mentioned in SAL (#wikimedia-operations) [2018-08-28T22:36:33Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.19/extensions/JsonConfig/includes/JCSingleton.php: Hot-deploy T203006 fix (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2018-08-28T22:37:37Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.18/extensions/JsonConfig/includes/JCSingleton.php: Hot-deploy T203006 fix (duration: 00m 56s)

Jhernandez closed this task as Resolved.Nov 19 2018, 3:59 PM